Name:           perl-WWW-Twilio-API
Version:        0.21
Release:    2%{?dist}
Summary:        Accessing Twilio's REST API with Perl
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/WWW-Twilio-API

Source0:        https://cpan.metacpan.org/authors/id/S/SC/SCOTTW/WWW-Twilio-API-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)

BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(Carp)
BuildRequires:  perl(HTTP::Request)
BuildRequires:  perl(LWP::UserAgent) >= 2.03
BuildRequires:  perl(URI::Escape) >= 3.28

BuildRequires:  perl(Test::More)

Requires:       perl(List::Util) >= 1.29
Requires:       perl(LWP::Protocol::https)
Requires:       perl(LWP::UserAgent) >= 2.03
Requires:       perl(URI::Escape) >= 3.28

%{?perl_default_filter}
%global __requires_exclude perl\\(LWP::UserAgent\\)|perl\\(URI::Escape\\)

%description
WWW::Twilio::API aims to make connecting to and making REST calls on the
Twilio API easy, reliable, and enjoyable.

%prep
%setup -q -n WWW-Twilio-API-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}

rm -f %{buildroot}/%{perl_vendorlib}/WWW/Twilio/examples.pl

find %{buildroot} -type f -name .packlist -exec rm -f {} \;

%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README.md examples.pl
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.21-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.21-1
- initial build
